package com.jojubanking.boot.module.system.service.mzdm;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.mzdm.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.mzdm.MzdmDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 民族代码 Service 接口
 *
 * @author admin
 */
public interface MzdmService {

    /**
     * 创建民族代码
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMzdm(@Valid MzdmCreateReqVO createReqVO);

    /**
     * 更新民族代码
     *
     * @param updateReqVO 更新信息
     */
    void updateMzdm(@Valid MzdmUpdateReqVO updateReqVO);

    /**
     * 删除民族代码
     *
     * @param id 编号
     */
    void deleteMzdm(Long id);

    /**
     * 获得民族代码
     *
     * @param id 编号
     * @return 民族代码
     */
    MzdmDO getMzdm(Long id);

    /**
     * 获得民族代码列表
     *
     * @param ids 编号
     * @return 民族代码列表
     */
    List<MzdmDO> getMzdmList(Collection<Long> ids);

    /**
     * 获得民族代码分页
     *
     * @param pageReqVO 分页查询
     * @return 民族代码分页
     */
    PageResult<MzdmDO> getMzdmPage(MzdmPageReqVO pageReqVO);

    /**
     * 获得民族代码列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 民族代码列表
     */
    List<MzdmDO> getMzdmList(MzdmExportReqVO exportReqVO);
    List<MzdmDO> getMzdmList01(MzdmExportReqVO exportReqVO);

}
